register.php File Reference

## Variables

| $postData = file_get_contents("php://input")

## Detailed Description

This script registers a user using a username, password, name, and email. This script communicates with the MySQL server to save user data. Passowrd is hashed, and SQL injection is taken care of. The process of registering involves -

1. An insert operation into the users table, in the database.
2. Creation of directories, required to store files, executables and question attempts made by the user.

Returns a 404 error if username already exists.